<ion-header>
  <ion-toolbar>
    <ion-title>{{ "HomePage.add_interview" | translate }}</ion-title>
    <ion-buttons slot="end">
      <ion-button
        icon-only
        (click)="onSaveInterview(form)"
        title="Save Interview"
        *ngIf="form.valid"
      >
        <ion-icon name="md-checkmark"></ion-icon>
      </ion-button>
      <ion-button icon-only (click)="onDismiss()" title="Close">
        <ion-icon name="md-close"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form #form="ngForm">
    <ion-list padding>
      <ion-item>
        <ion-label>{{ "HomePage.agency" | translate }}</ion-label>
        <ion-input
          type="text"
          name="GehaName"
          [(ngModel)]="this.interviewModal.GehaName"
          required
        >
        </ion-input>
      </ion-item>

      <ion-item>
        <ion-label>{{ "HomePage.name" | translate }}</ion-label>
        <ion-input
          type="text"
          name="Name"
          [(ngModel)]="this.interviewModal.Name"
          required
        ></ion-input>
      </ion-item>

      <ion-item>
        <ion-label>{{ "HomePage.job" | translate }}</ion-label>

        <ionic-selectable
          item-content
          name="JobId"
          [(ngModel)]="this.currentJob"
          [items]="this.jobs"
          itemValueField="Value"
          itemTextField="Text"
          [canSearch]="true"
          (onChange)="jobChange($event)"
          [searchFailText]="'Selectddl.searchFailText' | translate"
          [closeButtonText]="'Selectddl.closeButtonText' | translate"
          [searchPlaceholder]="'Selectddl.searchPlaceholder' | translate"
        >
        </ionic-selectable>
      </ion-item>
      <ion-item>
        <ion-label>{{ "HomePage.department" | translate }}</ion-label>

        <ionic-selectable
          item-content
          name="DepartmentId"
          [(ngModel)]="this.currentDepartment"
          [items]="this.departments"
          itemValueField="Value"
          itemTextField="Text"
          [canSearch]="true"
          (onChange)="departmentChange($event)"
          [searchFailText]="'Selectddl.searchFailText' | translate"
          [closeButtonText]="'Selectddl.closeButtonText' | translate"
          [searchPlaceholder]="'Selectddl.searchPlaceholder' | translate"
        >
        </ionic-selectable>
      </ion-item>

      <ion-item>
        <ion-label>{{ "HomePage.number" | translate }}</ion-label>
        <ion-input
          type="number"
          name="AttendeesNumber"
          [(ngModel)]="this.interviewModal.AttendeesNumber"
          required
        ></ion-input>
      </ion-item>

      <ion-row>
        <ion-item col-6>
          <ion-label
            >{{ "HomePage.date" | translate }}
            <ion-icon name="md-calendar"></ion-icon>
          </ion-label>
          <ion-input
            name="Date"
            theme="ios"
            [(ngModel)]="this.interviewModal.Date"
            mbsc-date
            required
          ></ion-input>
        </ion-item>
        <ion-item col-6>
          <ion-label
            >{{ "HomePage.time" | translate }}
            <ion-icon name="md-time"></ion-icon
          ></ion-label>
          <ion-input
            name="AttendanceTime"
            theme="ios"
            [(ngModel)]="this.interviewModal.AttendanceTime"
            mbsc-time
            required
          ></ion-input>
        </ion-item>
      </ion-row>
      <ion-item>
        <ion-label>{{ "HomePage.InterviweLocation" | translate }}</ion-label>
        <ion-button (click)="this.launchLocationPage()" style="font-size: 16px">
          <ion-icon name="pin"></ion-icon>
        </ion-button>
        <ion-input
          type="text"
          name="LocationDesc"
          [(ngModel)]="this.interviewModal.LocationDesc"
        ></ion-input>
      </ion-item>
      <ion-item margin-bottom>
        <ion-label>{{ "HomePage.notes" | translate }}</ion-label>
        <ion-input
          type="text"
          name="Note"
          [(ngModel)]="this.interviewModal.Note"
        ></ion-input>
      </ion-item>
    </ion-list>
    <ion-list padding>
      <ion-item>
        <ion-label>{{ "HomePage.reminder" | translate }}</ion-label>
        <ionic-selectable
          item-content
          name="RemindarId"
          [(ngModel)]="this.currentRemindar"
          [items]="this.remindars"
          itemValueField="Id"
          itemTextField="RemindarDescription"
          [canSearch]="true"
          (onChange)="remindarChange($event)"
          [searchFailText]="'Selectddl.searchFailText' | translate"
          [closeButtonText]="'Selectddl.closeButtonText' | translate"
          [searchPlaceholder]="'Selectddl.searchPlaceholder' | translate"
        >
        </ionic-selectable>
      </ion-item>

      <ion-item class="item-input">
        <ion-label>{{ "HomePage.send_email" | translate }}</ion-label>
        <ion-toggle
          name="IsSendMail"
          [(ngModel)]="this.interviewModal.IsSendMail"
        ></ion-toggle>
      </ion-item>
      <ion-item>
        <ion-label>{{ "HomePage.repetition" | translate }}</ion-label>
        <ionic-selectable
          item-content
          name="RepetitionId"
          [(ngModel)]="this.currentRepetition"
          [items]="this.repetitions"
          itemValueField="Value"
          itemTextField="Text"
          [canSearch]="true"
          (onChange)="repetitionChange($event)"
          [searchFailText]="'Selectddl.searchFailText' | translate"
          [closeButtonText]="'Selectddl.closeButtonText' | translate"
          [searchPlaceholder]="'Selectddl.searchPlaceholder' | translate"
        >
        </ionic-selectable>
      </ion-item>
      <ion-item *ngIf="this.interviewModal.RepetitionId > 1">
        <ion-label>{{ "HomePage.RepetitionCount" | translate }}</ion-label>
        <ion-input
          type="number"
          name="RepetitionCount"
          [(ngModel)]="this.interviewModal.RepetitionCount"
          [min]="1"
          required
        ></ion-input>
      </ion-item>
    </ion-list>
  </form>
</ion-content>
